Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/nuage.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/nuage.F	(revision 3)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/nuage.F	(revision 79)
@@ -37,6 +37,8 @@
       REAL zflwp, zradef, zfice, zmsac
 c
-      REAL radius, rad_froid, rad_chaud
-      PARAMETER (rad_chaud=10.0, rad_froid=30.0)
+      REAL radius, rad_froid, rad_chaud, rad_chau1, rad_chau2
+      PARAMETER (rad_chau1=13.0, rad_chau2=9.0, rad_froid=35.0)
+ccc      PARAMETER (rad_chaud=15.0, rad_froid=35.0)
+c sintex initial      PARAMETER (rad_chaud=10.0, rad_froid=30.0)
       REAL coef, coef_froi, coef_chau
       PARAMETER (coef_chau=0.13, coef_froi=0.09)
@@ -51,4 +53,6 @@
       DO k = 1, klev
       DO i = 1, klon
+         rad_chaud = rad_chau1
+         IF (k.LE.3) rad_chaud = rad_chau2
          pclc(i,k) = MAX(pclc(i,k), seuil_neb)
          zflwp = 1000.*pqlwp(i,k)/RG/pclc(i,k)
@@ -127,5 +131,5 @@
       RETURN
       END
-      SUBROUTINE diagcld(paprs,pplay,t,q,rain,snow,kbot,ktop,
+      SUBROUTINE diagcld1(paprs,pplay,rain,snow,kbot,ktop,
      .                   diafra,dialiq)
       IMPLICIT none
@@ -155,11 +159,4 @@
       REAL diafra(klon,klev) ! fraction nuageuse diagnostiquee
       REAL dialiq(klon,klev) ! eau liquide nuageuse
-c
-c Options a choisir:
-      LOGICAL ok_conv ! prendre en compte les nuages convectifs
-      PARAMETER (ok_conv=.TRUE.)
-      LOGICAL ok_inve ! prendre en compte les nuages d'inversion
-CCC      PARAMETER (ok_inve=.TRUE.)
-      PARAMETER (ok_inve=.FALSE.)
 c
 c Constantes ajustables:
@@ -177,23 +174,8 @@
       REAL ZEPSCR
       PARAMETER (ZEPSCR=1.0E-10)
-      REAL CLOIA, CLOIB, CLOIC, CLOID
-ccc      PARAMETER (CLOIA=1.0E+02, CLOIB=-10.00, CLOIC=-0.6, CLOID=5.0)
-      PARAMETER (CLOIA=1.0E+02, CLOIB=-10.00, CLOIC=-0.9, CLOID=5.0)
-      REAL RGAMMAS
-      PARAMETER (RGAMMAS=0.05)
-      REAL CRHL
-ccc      PARAMETER (CRHL=0.15)
-      PARAMETER (CRHL=0.70)
-      REAL t_coup
-      PARAMETER (t_coup=234.0)
 c
 c Variables locales:
-      INTEGER i, k, kb, invb(klon)
-      REAL zcc(klon), zqs, zrhb, zcll, zdthmin(klon), zdthdp
-      REAL zdelta, zcor
-c
-c Fonctions thermodynamiques:
-#include "YOETHF.h"
-#include "FCTTRE.h"
+      INTEGER i, k
+      REAL zcc(klon)
 c
 c Initialisation:
@@ -205,6 +187,4 @@
       ENDDO
       ENDDO
-c
-      IF (ok_conv) THEN
 c
       DO i = 1, klon ! Calculer la fraction nuageuse
@@ -215,13 +195,11 @@
       ENDIF
       ENDDO
-cn
+c
       DO i = 1, klon ! pour traiter les enclumes
-         diafra(i,ktop(i)) = zcc(i) * CCFCT
-ccc      diafra(i,ktop(i)) = MAX(diafra(i,ktop(i)),zcc(i)*CCFCT)
+      diafra(i,ktop(i)) = MAX(diafra(i,ktop(i)),zcc(i)*CCFCT)
       IF ((zcc(i).GE.CANVH) .AND.
      .    (pplay(i,ktop(i)).LE.CETAHB*paprs(i,1)))
-     .   diafra(i,ktop(i)) = MAX(zcc(i)*CCFCT,CANVA*(zcc(i)-CANVB))      
-cc     . diafra(i,ktop(i)) = MAX(diafra(i,ktop(i)),
-cc     .                         MAX(zcc(i)*CCFCT,CANVA*(zcc(i)-CANVB)))
+     . diafra(i,ktop(i)) = MAX(diafra(i,ktop(i)),
+     .                         MAX(zcc(i)*CCFCT,CANVA*(zcc(i)-CANVB)))
       dialiq(i,ktop(i))=CCLWMR*diafra(i,ktop(i))
       ENDDO
@@ -230,6 +208,5 @@
       DO i = 1, klon
       IF (k.LT.ktop(i) .AND. k.GE.kbot(i)) THEN
-           diafra(i,k)=zcc(i)*CCFCT
-cc         diafra(i,k)=MAX(diafra(i,k),zcc(i)*CCFCT)
+         diafra(i,k)=MAX(diafra(i,k),zcc(i)*CCFCT)
          dialiq(i,k)=CCLWMR*diafra(i,k)
       ENDIF
@@ -237,8 +214,54 @@
       ENDDO
 c
-      ENDIF ! ok_conv
-c
-      IF (ok_inve) THEN
-
+      RETURN
+      END
+      SUBROUTINE diagcld2(paprs,pplay,t,q, diafra,dialiq)
+      IMPLICIT none
+c
+#include "dimensions.h"
+#include "dimphy.h"
+#include "YOMCST.h"
+c
+c Arguments d'entree:
+      REAL paprs(klon,klev+1) ! pression (Pa) a inter-couche
+      REAL pplay(klon,klev) ! pression (Pa) au milieu de couche
+      REAL t(klon,klev) ! temperature (K)
+      REAL q(klon,klev) ! humidite specifique (Kg/Kg)
+c
+c Arguments de sortie:
+      REAL diafra(klon,klev) ! fraction nuageuse diagnostiquee
+      REAL dialiq(klon,klev) ! eau liquide nuageuse
+c
+      REAL CETAMB
+      PARAMETER (CETAMB=0.80)
+      REAL CLOIA, CLOIB, CLOIC, CLOID
+      PARAMETER (CLOIA=1.0E+02, CLOIB=-10.00, CLOIC=-0.6, CLOID=5.0)
+ccc      PARAMETER (CLOIA=1.0E+02, CLOIB=-10.00, CLOIC=-0.9, CLOID=5.0)
+      REAL RGAMMAS
+      PARAMETER (RGAMMAS=0.05)
+      REAL CRHL
+      PARAMETER (CRHL=0.15)
+ccc      PARAMETER (CRHL=0.70)
+      REAL t_coup
+      PARAMETER (t_coup=234.0)
+c
+c Variables locales:
+      INTEGER i, k, kb, invb(klon)
+      REAL zqs, zrhb, zcll, zdthmin(klon), zdthdp
+      REAL zdelta, zcor
+c
+c Fonctions thermodynamiques:
+#include "YOETHF.h"
+#include "FCTTRE.h"
+c
+c Initialisation:
+c
+      DO k = 1, klev
+      DO i = 1, klon
+         diafra(i,k) = 0.0
+         dialiq(i,k) = 0.0
+      ENDDO
+      ENDDO
+c
       DO i = 1, klon
          invb(i) = klev
@@ -280,11 +303,8 @@
      .   zcll=zcll*(1.-(CRHL-zrhb)*CLOID)
          zcll=MIN(1.0,MAX(0.0,zcll))
-cc         diafra(i,kb) = MAX(diafra(i,kb),zcll)
-cc         dialiq(i,kb)= diafra(i,kb) * RGAMMAS*zqs
-         diafra(i,kb) = zcll
-         dialiq(i,kb)= zcll* RGAMMAS*zqs        
-      ENDDO
-c
-      ENDIF ! ok_inve
-c
+         diafra(i,kb) = MAX(diafra(i,kb),zcll)
+         dialiq(i,kb)= diafra(i,kb) * RGAMMAS*zqs
+      ENDDO
+c
+      RETURN
       END
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/oasis.F	(revision 3)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 79)
@@ -1,9 +1,2 @@
-      SUBROUTINE inicma(kastp,kexch,kstep)
-      IMPLICIT none
-c
-      INTEGER kastp, kexch, kstep
-c
-      INTEGER ime
-      PARAMETER (ime = 1)
 c
 C****
@@ -45,10 +38,14 @@
 C     -----------------------------------------------------------
 C
-      INTEGER imess(4)
-      INTEGER getpid, mknod ! system functions
-      CHARACTER*80 clcmd
-      CHARACTER*8 pipnom, fldnom
-      INTEGER ierror
-C
+      SUBROUTINE inicma(kastp,kexch,kstep)
+c
+      INTEGER kastp, kexch, kstep
+c
+      INTEGER ime
+      PARAMETER (ime = 1)
+
+      INTEGER iparal(3)
+      INTEGER ifcpl, idt, info, imxtag, istep
+c
 #include "dimensions.h"
 #include "dimphy.h"
@@ -56,11 +53,26 @@
 #include "clim.h"
 c
-      INTEGER iparal(3)
-      INTEGER istep, ifcpl, idt, info, imxtag
-c
-      INTEGER mode, iret, isize
+c     Addition for SIPC CASE
+#include "param_sipc.h"
+#include "param_cou.h"
+#include "inc_sipc.h"
+#include "inc_cpl.h"
+      CHARACTER*9 clpoolnam 
+      INTEGER ipoolhandle, imrc, ipoolsize, index, jf
+      CHARACTER*3 cljobnam      ! experiment name
+      CHARACTER*6 clmodnam      ! model name
+      CHARACTER*5 cloasis       ! coupler name (Oasis)
+      INTEGER imess(4), imesso(4)
+      INTEGER getpid, mknod ! system functions
+      CHARACTER*80 clcmd
+      CHARACTER*8 pipnom, fldnom
+      INTEGER ierror, iretcode
 C
       INTEGER nuout
       PARAMETER (nuout = 6)
+c
+C
+c
+
 C     -----------------------------------------------------------
 C
